loading-melancia {
  display: block;
  width: fit-content;
}

loading-melancia .loading-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--cor-primaria);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

loading-melancia .loading-container {
  background: transparent;
  padding-bottom: 20px;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

loading-melancia .loading-image {
  width: 125px;
  height: 125px;
  animation: bounce 1.5s ease infinite;
}

loading-melancia .loading-text {
  color: white;
  font-size: 1rem;
  font-weight: 500;
  position: absolute;
  bottom: 25px;
  left: 50%;
  transform: translateX(-50%);
}

@keyframes bounce {
  0%   { transform: translateY(0) scale(1, 1); }
  10%  { transform: translateY(-20px) scale(1.1, 0.9); }
  20%  { transform: translateY(-30px) scale(0.9, 1.1); }
  40%  { transform: translateY(0) scale(1.2, 0.8); }
  60%  { transform: translateY(-10px) scale(0.95, 1.05); }
  80%  { transform: translateY(0) scale(1.05, 0.95); }
  100% { transform: translateY(0) scale(1, 1); }
}